
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This patch had fixed LTT build errors on MIPS.

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/mips/kernel/irq.c   |    1 +
 25-akpm/arch/mips/kernel/traps.c |    1 +
 25-akpm/arch/mips/mm/fault.c     |    1 +
 3 files changed, 3 insertions(+)

diff -puN arch/mips/kernel/irq.c~mips-fixed-ltt-build-errors arch/mips/kernel/irq.c
--- 25/arch/mips/kernel/irq.c~mips-fixed-ltt-build-errors	2005-01-22 18:55:29.333430456 -0800
+++ 25-akpm/arch/mips/kernel/irq.c	2005-01-22 18:55:29.340429392 -0800
@@ -14,6 +14,7 @@
 #include <linux/init.h>
 #include <linux/interrupt.h>
 #include <linux/kernel_stat.h>
+#include <linux/ltt-events.h>
 #include <linux/module.h>
 #include <linux/proc_fs.h>
 #include <linux/slab.h>
diff -puN arch/mips/kernel/traps.c~mips-fixed-ltt-build-errors arch/mips/kernel/traps.c
--- 25/arch/mips/kernel/traps.c~mips-fixed-ltt-build-errors	2005-01-22 18:55:29.335430152 -0800
+++ 25-akpm/arch/mips/kernel/traps.c	2005-01-22 18:55:29.341429240 -0800
@@ -13,6 +13,7 @@
  */
 #include <linux/config.h>
 #include <linux/init.h>
+#include <linux/ltt-events.h>
 #include <linux/mm.h>
 #include <linux/module.h>
 #include <linux/sched.h>
diff -puN arch/mips/mm/fault.c~mips-fixed-ltt-build-errors arch/mips/mm/fault.c
--- 25/arch/mips/mm/fault.c~mips-fixed-ltt-build-errors	2005-01-22 18:55:29.336430000 -0800
+++ 25-akpm/arch/mips/mm/fault.c	2005-01-22 18:55:29.341429240 -0800
@@ -13,6 +13,7 @@
 #include <linux/string.h>
 #include <linux/types.h>
 #include <linux/ptrace.h>
+#include <linux/ltt-events.h>
 #include <linux/mman.h>
 #include <linux/mm.h>
 #include <linux/smp.h>
_
